## mana 0.5.2

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
CMAKE_POLICY(VERSION 2.6)

PROJECT(MANA)

IF (NOT VERSION)
    SET(VERSION 0.5.2)
ENDIF()

STRING(REPLACE "." " " _VERSION ${VERSION})
SEPARATE_ARGUMENTS(_VERSION)
LIST(LENGTH _VERSION _LEN)
IF(NOT _LEN EQUAL 4 AND NOT _LEN EQUAL 3)
    MESSAGE(FATAL_ERROR "Version needs to be in the form MAJOR.MINOR.RELEASE[.BUILD]")
ENDIF()

LIST(GET _VERSION 0 VER_MAJOR)
LIST(GET _VERSION 1 VER_MINOR)
LIST(GET _VERSION 2 VER_RELEASE)
IF(_LEN EQUAL 4)
    LIST(GET _VERSION 3 VER_BUILD)
ELSE()
    SET(VER_BUILD 0)
ENDIF()

# where to look for cmake modules
SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/CMake/Modules)

FIND_PACKAGE(Gettext)

OPTION(WITH_OPENGL "Enable OpenGL support" ON)
OPTION(ENABLE_NLS "Enable building of tranlations" ON)
OPTION(ENABLE_MANASERV "Enable Manaserv support" OFF)

IF (WIN32)
    SET(PKG_DATADIR ".")
    SET(PKG_BINDIR ".")
    SET(LOCALEDIR ".")
    CONFIGURE_FILE(src/winver.h.in src/winver.h)
ELSE (WIN32)
    IF (NOT OSX)
        OPTION(USE_X11 "Use X11 Clipboard functionality" ON)
    ENDIF ()
    SET(PKG_DATADIR ${CMAKE_INSTALL_PREFIX}/share/mana)
    SET(LOCALEDIR ${CMAKE_INSTALL_PREFIX}/share/locale)
    SET(PKG_BINDIR ${CMAKE_INSTALL_PREFIX}/bin)
ENDIF (WIN32)

ADD_SUBDIRECTORY(data)

IF (ENABLE_MANASERV)
    ADD_SUBDIRECTORY(libs/enet)
ENDIF()

ADD_SUBDIRECTORY(src)

IF (GETTEXT_FOUND AND ENABLE_NLS)
    ADD_SUBDIRECTORY(po)
ENDIF()

If(UNIX)
    INSTALL(FILES mana.desktop DESTINATION share/applications)
ENDIF()

SET(CPACK_PACKAGE_NAME "mana")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Mana")
SET(CPACK_PACKAGE_VENDOR "Mana Development Team")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "Mana")
SET(CPACK_PACKAGE_VERSION_MAJOR ${VER_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${VER_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${VER_RELEASE})
IF(WIN32)
    SET(CPACK_NSIS_DISPLAY_NAME "Mana")
    SET(CPACK_NSIS_MUI_ICON "${CMAKE_CURRENT_SOURCE_DIR}/data/icons/mana.ico")
    SET(CPACK_PACKAGE_ICON "${CMAKE_CURRENT_SOURCE_DIR}/packaging/windows/setup_welcome.bmp")
    SET(CPACK_NSIS_URL_INFO_ABOUT "http://www.manasource.org")
ENDIF()
INCLUDE(CPack)

=== src/CMakeLists.txt ===
FIND_PACKAGE(SDL REQUIRED)
FIND_PACKAGE(SDL_image REQUIRED)
FIND_PACKAGE(SDL_mixer REQUIRED)
FIND_PACKAGE(SDL_net REQUIRED)
FIND_PACKAGE(SDL_ttf REQUIRED)
FIND_PACKAGE(SDL_gfx REQUIRED)
FIND_PACKAGE(CURL REQUIRED)
FIND_PACKAGE(LibXml2 REQUIRED)
FIND_PACKAGE(PhysFS REQUIRED)
FIND_PACKAGE(PNG REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)

IF (CMAKE_COMPILER_IS_GNUCXX)
    # Help getting compilation warnings
    SET(CMAKE_CXX_FLAGS "-Wall")
    IF (WIN32)
        # This includes enough debug information to get something useful
        # from Dr. Mingw while keeping binary size down. Almost useless
        # with gdb, though.
        SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O2 -ggdb0 -gstabs2")
    ENDIF()
ENDIF()

IF (POLICY CMP0015)
    CMAKE_POLICY(SET CMP0015 OLD)
ENDIF()

IF (ENABLE_MANASERV)
    INCLUDE_DIRECTORIES("../libs/enet/include")
    LINK_DIRECTORIES("../libs/enet")
    SET(INTERNAL_LIBRARIES enet)
ENDIF()

SET(FLAGS "-DPACKAGE_VERSION=\\\"${VERSION}\\\"")
SET(FLAGS "${FLAGS} -DPKG_DATADIR=\\\"${PKG_DATADIR}/\\\"")
SET(FLAGS "${FLAGS} -DLOCALEDIR=\\\"${LOCALEDIR}/\\\"")

IF (ENABLE_NLS)
    SET(FLAGS "${FLAGS} -DENABLE_NLS=1")
ENDIF()

IF (ENABLE_MANASERV)
    SET(FLAGS "${FLAGS} -DMANASERV_SUPPORT=1")
ENDIF()

IF (CMAKE_BUILD_TYPE)
    STRING(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_TOLOWER)
    IF(CMAKE_BUILD_TYPE_TOLOWER MATCHES debug OR
       CMAKE_BUILD_TYPE_TOLOWER MATCHES relwithdebinfo)
        SET(FLAGS "${FLAGS} -DDEBUG")
    ENDIF()
ENDIF()

IF (WIN32)
    SET(EXTRA_LIBRARIES ws2_32 winmm)
    FIND_PACKAGE(LibIntl REQUIRED)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
    FIND_PACKAGE(LibIntl REQUIRED)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL SunOS)
    # explicit linking to libintl is required on Solaris
    SET(EXTRA_LIBRARIES intl)
ENDIF()

SET(GUICHAN_COMPONENTS "SDL")
FIND_PACKAGE(Guichan REQUIRED ${GUICHAN_COMPONENTS})

IF (WITH_OPENGL)
    FIND_PACKAGE(OpenGL REQUIRED)
    INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
    SET(FLAGS "${FLAGS} -DUSE_OPENGL")
ENDIF (WITH_OPENGL)

IF (USE_X11)
    FIND_PACKAGE(X11 REQUIRED)
    INCLUDE_DIRECTORIES(${X11_INCLUDE_DIR})
    SET(FLAGS "${FLAGS} -DUSE_X11")
ENDIF (USE_X11)

INCLUDE_DIRECTORIES(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${SDL_INCLUDE_DIR}
    ${SDLIMAGE_INCLUDE_DIR}
    ${SDLMIXER_INCLUDE_DIR}
    ${SDLNET_INCLUDE_DIR}
    ${SDLTTF_INCLUDE_DIR}
    ${SDLGFX_INCLUDE_DIR}
    ${PNG_INCLUDE_DIR}
    ${PHYSFS_INCLUDE_DIR}
    ${CURL_INCLUDE_DIR}
    ${LIBXML2_INCLUDE_DIR}
    ${GUICHAN_INCLUDE_DIR}
    )

# enable rc-handling with mingw
# most likely this part can be kicked out with some later cmake version
IF (MINGW)
    FIND_PATH(MINGW_INCLUDE_DIR windows.h $ENV{INCLUDE})
    IF (MINGW_INCLUDE_DIR)
        MESSAGE(STATUS "Found mingw headers: ${MINGW_INCLUDE_DIR}")
        INCLUDE_DIRECTORIES(${MINGW_INCLUDE_DIR})
    ELSE()
        MESSAGE(FATAL_ERROR "Unable to find mingw headers. Required for windres")
    ENDIF()
    SET(CMAKE_RC_COMPILER_INIT windres)
    ENABLE_LANGUAGE(RC)
    SET(CMAKE_RC_COMPILE_OBJECT
      "<CMAKE_RC_COMPILER> <FLAGS> <DEFINES> -O coff -o <OBJECT> <SOURCE>")
ENDIF()

# Fix some stuff that gets not hidden by mainline modules
MARK_AS_ADVANCED(PHYSFS_INCLUDE_DIR)
MARK_AS_ADVANCED(PHYSFS_LIBRARY)
MARK_AS_ADVANCED(SDLIMAGE_INCLUDE_DIR)
MARK_AS_ADVANCED(SDLIMAGE_LIBRARY)
MARK_AS_ADVANCED(SDLMAIN_LIBRARY)
MARK_AS_ADVANCED(SDLMIXER_INCLUDE_DIR)
MARK_AS_ADVANCED(SDLMIXER_LIBRARY)
MARK_AS_ADVANCED(SDLNET_INCLUDE_DIR)
MARK_AS_ADVANCED(SDLNET_LIBRARY)
MARK_AS_ADVANCED(SDL_INCLUDE_DIR)
MARK_AS_ADVANCED(SDL_LIBRARY)

SET(SRCS
    gui/widgets/avatarlistbox.cpp
    gui/widgets/avatarlistbox.h
    gui/widgets/browserbox.cpp
    gui/widgets/browserbox.h
    gui/widgets/button.cpp
    gui/widgets/button.h
    gui/widgets/channeltab.cpp
    gui/widgets/channeltab.h
    gui/widgets/chattab.cpp
    gui/widgets/chattab.h
    gui/widgets/checkbox.cpp
    gui/widgets/checkbox.h
    gui/widgets/container.cpp
    gui/widgets/container.h
    gui/widgets/desktop.cpp
    gui/widgets/desktop.h
    gui/widgets/dropdown.cpp
    gui/widgets/dropdown.h
    gui/widgets/emoteshortcutcontainer.cpp
    gui/widgets/emoteshortcutcontainer.h
    gui/widgets/flowcontainer.cpp
    gui/widgets/flowcontainer.h
    gui/widgets/icon.cpp
    gui/widgets/icon.h
    gui/widgets/inttextfield.cpp
    gui/widgets/inttextfield.h
    gui/widgets/itemcontainer.cpp
    gui/widgets/itemcontainer.h
    gui/widgets/itemlinkhandler.cpp
    gui/widgets/itemlinkhandler.h
    gui/widgets/itemshortcutcontainer.cpp
    gui/widgets/itemshortcutcontainer.h
    gui/widgets/label.cpp
    gui/widgets/label.h
    gui/widgets/layout.cpp
    gui/widgets/layout.h
    gui/widgets/layouthelper.cpp
    gui/widgets/layouthelper.h
    gui/widgets/linkhandler.h
    gui/widgets/listbox.cpp
    gui/widgets/listbox.h
    gui/widgets/passwordfield.cpp
    gui/widgets/passwordfield.h
    gui/widgets/playerbox.cpp
    gui/widgets/playerbox.h
    gui/widgets/popup.cpp
    gui/widgets/popup.h
    gui/widgets/progressbar.cpp
    gui/widgets/progressbar.h
    gui/widgets/progressindicator.cpp
    gui/widgets/progressindicator.h
    gui/widgets/radiobutton.cpp
    gui/widgets/radiobutton.h
    gui/widgets/resizegrip.cpp
    gui/widgets/resizegrip.h
    gui/widgets/scrollarea.cpp
    gui/widgets/scrollarea.h
    gui/widgets/setuptab.cpp
    gui/widgets/setuptab.h
    gui/widgets/shopitems.cpp
    gui/widgets/shopitems.h
    gui/widgets/shoplistbox.cpp
    gui/widgets/shoplistbox.h
    gui/widgets/shortcutcontainer.cpp
    gui/widgets/shortcutcontainer.h
    gui/widgets/slider.cpp
    gui/widgets/slider.h
    gui/widgets/tab.cpp
    gui/widgets/tab.h
    gui/widgets/tabbedarea.cpp
    gui/widgets/tabbedarea.h
    gui/widgets/table.cpp
    gui/widgets/table.h
    gui/widgets/tablemodel.cpp
    gui/widgets/tablemodel.h
    gui/widgets/textbox.cpp
    gui/widgets/textbox.h
    gui/widgets/textfield.cpp
    gui/widgets/textfield.h
    gui/widgets/textpreview.cpp
    gui/widgets/textpreview.h
    gui/widgets/vertcontainer.cpp
    gui/widgets/vertcontainer.h
    gui/widgets/whispertab.cpp
    gui/widgets/whispertab.h
    gui/widgets/window.cpp
    gui/widgets/window.h
    gui/widgets/windowcontainer.cpp
    gui/widgets/windowcontainer.h
    gui/beingpopup.cpp
    gui/beingpopup.h
    gui/buy.cpp
    gui/buy.h
    gui/buysell.cpp
    gui/buysell.h
    gui/changeemaildialog.cpp
    gui/changeemaildialog.h
    gui/changepassworddialog.cpp
    gui/changepassworddialog.h
    gui/charselectdialog.cpp
    gui/charselectdialog.h
    gui/charcreatedialog.cpp
    gui/charcreatedialog.h
    gui/chat.cpp
    gui/chat.h
    gui/confirmdialog.cpp
    gui/confirmdialog.h
    gui/connectiondialog.cpp
    gui/connectiondialog.h
    gui/debugwindow.cpp
    gui/debugwindow.h
    gui/emotepopup.cpp
    gui/emotepopup.h
    gui/equipmentwindow.cpp
    gui/equipmentwindow.h
    gui/focushandler.cpp
    gui/focushandler.h
    gui/gui.cpp
    gui/gui.h
    gui/help.cpp
    gui/help.h
    gui/inventorywindow.cpp
    gui/inventorywindow.h
    gui/itempopup.cpp
    gui/itempopup.h
    gui/itemamount.cpp
    gui/itemamount.h
    gui/login.cpp
    gui/login.h
    gui/minimap.cpp
    gui/minimap.h
    gui/ministatus.cpp
    gui/ministatus.h
    gui/npcdialog.cpp
    gui/npcdialog.h
    gui/npcpostdialog.cpp
    gui/npcpostdialog.h
    gui/okdialog.cpp
    gui/okdialog.h
    gui/outfitwindow.cpp
    gui/outfitwindow.h
    gui/palette.cpp
    gui/palette.h
    gui/popupmenu.cpp
    gui/popupmenu.h
    gui/quitdialog.cpp
    gui/quitdialog.h
    gui/recorder.cpp
    gui/recorder.h
    gui/register.cpp
    gui/register.h
    gui/sdlinput.cpp
    gui/sdlinput.h
    gui/sell.cpp
    gui/sell.h
    gui/serverdialog.cpp
    gui/serverdialog.h
    gui/setup.cpp
    gui/setup.h
    gui/setup_audio.cpp
    gui/setup_audio.h
    gui/setup_colors.cpp
    gui/setup_colors.h
    gui/setup_joystick.cpp
    gui/setup_joystick.h
    gui/setup_keyboard.cpp
    gui/setup_keyboard.h
    gui/setup_players.cpp
    gui/setup_players.h
    gui/setup_video.cpp
    gui/setup_video.h
    gui/shortcutwindow.cpp
    gui/shortcutwindow.h
    gui/skilldialog.cpp
    gui/skilldialog.h
    gui/socialwindow.cpp
    gui/socialwindow.h
    gui/speechbubble.cpp
    gui/speechbubble.h
    gui/specialswindow.cpp
    gui/specialswindow.h
    gui/statuswindow.cpp
    gui/statuswindow.h
    gui/textdialog.cpp
    gui/textdialog.h
    gui/textpopup.cpp
    gui/textpopup.h
    gui/theme.cpp
    gui/theme.h
    gui/trade.cpp
    gui/trade.h
    gui/truetypefont.cpp
    gui/truetypefont.h
    gui/unregisterdialog.cpp
    gui/unregisterdialog.h
    gui/updatewindow.cpp
    gui/updatewindow.h
    gui/userpalette.cpp
    gui/userpalette.h
    gui/viewport.cpp
    gui/viewport.h
    gui/windowmenu.cpp
    gui/windowmenu.h
    gui/worldselectdialog.cpp
    gui/worldselectdialog.h
    net/adminhandler.h
    net/charhandler.cpp
    net/charhandler.h
    net/chathandler.h
    net/download.cpp
    net/download.h
    net/gamehandler.h
    net/generalhandler.h
    net/guildhandler.h
    net/inventoryhandler.h
    net/logindata.h
    net/loginhandler.h
    net/messagehandler.h
    net/messagein.cpp
    net/messagein.h
    net/messageout.cpp
    net/messageout.h
    net/npchandler.h
    net/net.cpp
    net/net.h
    net/partyhandler.h
    net/playerhandler.h
    net/serverinfo.h
    net/specialhandler.h
    net/tradehandler.h
    net/worldinfo.h
    resources/action.cpp
    resources/action.h
    resources/ambientlayer.cpp
    resources/ambientlayer.h
    resources/animation.cpp
    resources/animation.h
    resources/colordb.cpp
    resources/colordb.h
    resources/dye.cpp
    resources/dye.h
    resources/emotedb.cpp
    resources/emotedb.h
    resources/image.cpp
    resources/image.h
    resources/imageloader.cpp
    resources/imageloader.h
    resources/imageset.h
    resources/imageset.cpp
    resources/imagewriter.cpp
    resources/imagewriter.h
    resources/itemdb.cpp
    resources/itemdb.h
    resources/iteminfo.h
    resources/iteminfo.cpp
    resources/mapreader.cpp
    resources/mapreader.h
    resources/monsterdb.cpp
    resources/monsterdb.h
    resources/monsterinfo.cpp
    resources/monsterinfo.h
    resources/music.cpp
    resources/music.h
    resources/npcdb.cpp
    resources/npcdb.h
    resources/resource.cpp
    resources/resource.h
    resources/resourcemanager.cpp
    resources/resourcemanager.h
    resources/soundeffect.h
    resources/soundeffect.cpp
    resources/spritedef.h
    resources/spritedef.cpp
    resources/wallpaper.cpp
    resources/wallpaper.h
    utils/base64.cpp
    utils/base64.h
    utils/copynpaste.cpp
    utils/copynpaste.h
    utils/dtor.h
    utils/gettext.h
    utils/mathutils.h
    utils/sha256.cpp
    utils/sha256.h
    utils/stringutils.cpp
    utils/stringutils.h
    utils/mutex.h
    utils/mkdir.cpp
    utils/mkdir.h
    utils/xml.cpp
    utils/xml.h
    utils/zlib.cpp
    utils/zlib.h
    animatedsprite.cpp
    animatedsprite.h
    animationparticle.cpp
    animationparticle.h
    avatar.cpp
    avatar.h
    being.cpp
    being.h
    beingmanager.cpp
    beingmanager.h
    client.cpp
    client.h
    channel.cpp
    channel.h
    channelmanager.cpp
    channelmanager.h
    commandhandler.cpp
    commandhandler.h
    configlistener.h
    configuration.cpp
    configuration.h
    effectmanager.cpp
    effectmanager.h
    emoteshortcut.cpp
    emoteshortcut.h
    equipment.h
    flooritem.cpp
    flooritem.h
    flooritemmanager.cpp
    flooritemmanager.h
    game.cpp
    game.h
    graphics.cpp
    graphics.h
    guichanfwd.h
    guild.cpp
    guild.h
    imageparticle.cpp
    imageparticle.h
    inventory.cpp
    inventory.h
    item.cpp
    item.h
    itemshortcut.cpp
    itemshortcut.h
    joystick.cpp
    joystick.h
    keyboardconfig.cpp
    keyboardconfig.h
    localplayer.cpp
    localplayer.h
    log.cpp
    log.h
    main.cpp
    main.h
    map.cpp
    map.h
    monster.cpp
    monster.h
    npc.cpp

=== debian/changelog ===
mana (0.5.2-2) unstable; urgency=low

  * Install missing mana desktop icon.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 May 2011 10:25:00 +0200

mana (0.5.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Build with hardening-wrapper.
  * Add patch 01-format-security-error.diff, to prevent a FTBFS with enabled
    hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 18:16:10 +0200

mana (0.5.1-1) unstable; urgency=low

  * Initial release.
    Closes: #611752

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 20 Mar 2011 10:20:19 +0100

=== debian/control ===
Source: mana
Section: games
Priority: optional
Homepage: http://www.manasource.org/
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 7),
 cmake,
 libsdl-gfx1.2-dev,
 libcurl4-gnutls-dev,
 libxml2-dev,
 libphysfs-dev,
 libguichan-dev,
 libsdl-mixer1.2-dev,
 libsdl-net1.2-dev,
 libsdl-ttf2.0-dev,
 hardening-wrapper
Standards-Version: 3.9.2

Package: mana
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mana-data (= ${source:Version})
Description: opensource 2D MMORPG platform client
 The Mana client is developed as part of The Mana Project, which aims to build
 a complete 2D MMORPG platform. This includes a client, server and web
 component, as well as a library of free content that you can use under the
 terms of the GPL.
 .
 This version of the client can connect to a specific version of the eAthena
 server known as tmwAthena, a version with adaptations made as part of The Mana
 World project.

Package: mana-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, mana (= ${binary:Version})
Description: opensource 2D MMORPG platform client (debugging symbols)
 The Mana client is developed as part of The Mana Project, which aims to build
 a complete 2D MMORPG platform. This includes a client, server and web
 component, as well as a library of free content that you can use under the
 terms of the GPL.
 .
 This version of the client can connect to a specific version of the eAthena
 server known as tmwAthena, a version with adaptations made as part of The Mana
 World project.
 .
 This package provides debugging symbols for the mana package.

Package: mana-data
Architecture: all
Depends: ${misc:Depends}, ttf-dejavu-core
Recommends: mana
Description: opensource 2D MMORPG platform client (data files)
 The Mana client is developed as part of The Mana Project, which aims to build
 a complete 2D MMORPG platform. This includes a client, server and web
 component, as well as a library of free content that you can use under the
 terms of the GPL.
 .
 This version of the client can connect to a specific version of the eAthena
 server known as tmwAthena, a version with adaptations made as part of The Mana
 World project.
 .
 This package contains the data files for the mana package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

config.status:
	dh_testdir
	[ -d build ] || mkdir build
	cd build && cmake -D CMAKE_BUILD_TYPE=Debug \
		-D CMAKE_INSTALL_PREFIX=/usr \
		..
	touch config.status

build: build-stamp
build-stamp: config.status
	dh_testdir
	cd build && $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f config.status build-stamp
	rm -rf build
	rm -rf debian/tmp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	cd build && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -rf $(CURDIR)/debian/tmp/usr/share/mana/data/fonts/

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_install -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_install -a
	dh_installman -a
	dh_strip -a --dbg-package=mana-dbg
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://manasource.org/files/mana-(.*)\.tar\.gz

## mana 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PROJECT(MANA)
 
 IF (NOT VERSION)
-    SET(VERSION 0.5.2)
+    SET(VERSION 0.5.3)
 ENDIF()
 
 STRING(REPLACE "." " " _VERSION ${VERSION})

=== data/fonts/CMakeLists.txt ===
SET (FILES
    dejavusans.ttf
    dejavusans-bold.ttf
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/fonts)

=== data/graphics/CMakeLists.txt ===
ADD_SUBDIRECTORY(gui)
ADD_SUBDIRECTORY(images)
ADD_SUBDIRECTORY(sprites)

=== data/icons/CMakeLists.txt ===
SET(FILES
    mana.png
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/icons)

INSTALL(FILES "mana.png" DESTINATION share/pixmaps)

=== libs/enet/CMakeLists.txt ===
INCLUDE(CheckFunctionExists)
CHECK_FUNCTION_EXISTS(gethostbyaddr_r HAS_GETHOSTBYNAME_R)
IF(HAS_GETHOSTBYNAME_R EQUAL 1)
  SET (FLAGS "${FLAGS} -DHAS_GETHOSTBYADDR_R")
ENDIF()

CHECK_FUNCTION_EXISTS(poll HAS_POLL)
IF(HAS_POLL EQUAL 1)
  SET (FLAGS "${FLAGS} -DHAS_POLL")
ENDIF()

CHECK_FUNCTION_EXISTS(fcntl HAS_FCNTL)
IF(HAS_FCNTL)
  SET (FLAGS "${FLAGS} -DHAS_FCNTL")
ENDIF()

CHECK_FUNCTION_EXISTS(inet_pton HAS_INETPTON)
IF(HAS_INETPTON EQUAL 1)
  SET (FLAGS "${FLAGS} -DHAS_INETPTON")
ENDIF()

CHECK_FUNCTION_EXISTS(inet_ntop HAS_INETNTOP)
IF(HAS_INETNTOP EQUAL 1)
  SET (FLAGS "${FLAGS} -DHAS_INETNTOP")
ENDIF()

INCLUDE(CheckTypeSize)
SET (CMAKE_EXTRA_INCLUDE_FILES sys/socket.h)
CHECK_TYPE_SIZE(socklen_t SOCKLEN_T)
IF(HAVE_SOCKLEN_T)
  SET (FLAGS "${FLAGS} -DHAS_SOCKLEN_T")
ENDIF()

INCLUDE(CheckStructHasMember)
CHECK_STRUCT_HAS_MEMBER("struct msghdr" msg_flags sys/socket.h HAS_MSGHDR_FLAGS)
IF(HAS_MSGHDR_FLAGS EQUAL 1)
  SET (FLAGS "${FLAGS} -DHAS_MSGHDR_FLAGS")
ENDIF()

SET (SRCS
  callbacks.c
  compress.c
  host.c
  list.c
  packet.c
  peer.c
  protocol.c
  unix.c
  win32.c
  )

INCLUDE_DIRECTORIES("include")

ADD_LIBRARY(enet STATIC ${SRCS})
SET_TARGET_PROPERTIES(enet PROPERTIES COMPILE_FLAGS "${FLAGS}")

=== data/graphics/gui/CMakeLists.txt ===
SET (FILES
    bubble.png
    button.png
    button_disabled.png
    buttonhi.png
    buttonpress.png
    checkbox.png
    circle-gray.png
    circle-green.png
    close_button.png
    colors.xml
    deepbox.png
    hscroll_left_default.png
    hscroll_left_highlight.png
    hscroll_left_pressed.png
    hscroll_right_default.png
    hscroll_right_highlight.png
    hscroll_right_pressed.png
    item_shortcut_bgr.png
    mouse.png
    progress-indicator.png
    radioin.png
    radioin_highlight.png
    radioout.png
    radioout_highlight.png
    resize.png
    selection.png
    slider.png
    slider_hilight.png
    speechbubble.xml
    sticky_button.png
    tab.png
    tab_hilight.png
    tabselected.png
    target-cursor-blue-l.png
    target-cursor-blue-m.png
    target-cursor-blue-s.png
    target-cursor-red-l.png
    target-cursor-red-m.png
    target-cursor-red-s.png
    unknown-item.png
    vscroll_down_default.png
    vscroll_down_highlight.png
    vscroll_down_pressed.png
    vscroll_grey.png
    vscroll_highlight.png
    vscroll_up_default.png
    vscroll_up_highlight.png
    vscroll_up_pressed.png
    window.png
    window.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/graphics/gui)

=== debian/changelog ===
mana (0.5.3-1) unstable; urgency=low

  * New upstream release.
    - Remove merged patch 01-format-security-error.
  * Add missing build-arch and build-indep targets.
  * Override false positive lintian warnings about broken symlinks.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 18 Sep 2011 15:50:58 +0200

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,10 @@
 	cd build && $(MAKE)
 	touch build-stamp
 
+build-arch: build
+
+build-indep: build
+
 clean:
 	dh_testdir
 	dh_testroot
@@ -44,6 +48,7 @@
 	dh_installchangelogs -i ChangeLog
 	dh_installdocs -i
 	dh_install -i
+	dh_lintian -i
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i

## mana 0.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PROJECT(MANA)
 
 IF (NOT VERSION)
-    SET(VERSION 0.5.3)
+    SET(VERSION 0.6.0)
 ENDIF()
 
 STRING(REPLACE "." " " _VERSION ${VERSION})
@@ -38,7 +38,7 @@
     SET(LOCALEDIR ".")
     CONFIGURE_FILE(src/winver.h.in src/winver.h)
 ELSE (WIN32)
-    IF (NOT OSX)
+    IF (NOT OSX AND NOT BEOS)
         OPTION(USE_X11 "Use X11 Clipboard functionality" ON)
     ENDIF ()
     SET(PKG_DATADIR ${CMAKE_INSTALL_PREFIX}/share/mana)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -34,13 +34,16 @@
 SET(FLAGS "-DPACKAGE_VERSION=\\\"${VERSION}\\\"")
 SET(FLAGS "${FLAGS} -DPKG_DATADIR=\\\"${PKG_DATADIR}/\\\"")
 SET(FLAGS "${FLAGS} -DLOCALEDIR=\\\"${LOCALEDIR}/\\\"")
+SET(FLAGS "${FLAGS} -std=c++0x")
 
 IF (ENABLE_NLS)
     SET(FLAGS "${FLAGS} -DENABLE_NLS=1")
+    MESSAGE(STATUS "i18n support enabled")
 ENDIF()
 
 IF (ENABLE_MANASERV)
     SET(FLAGS "${FLAGS} -DMANASERV_SUPPORT=1")
+    MESSAGE(STATUS "Manaserv support enabled")
 ENDIF()
 
 IF (CMAKE_BUILD_TYPE)
@@ -48,13 +51,14 @@
     IF(CMAKE_BUILD_TYPE_TOLOWER MATCHES debug OR
        CMAKE_BUILD_TYPE_TOLOWER MATCHES relwithdebinfo)
         SET(FLAGS "${FLAGS} -DDEBUG")
+        MESSAGE(STATUS "Set Debug build type")
     ENDIF()
 ENDIF()
 
 IF (WIN32)
     SET(EXTRA_LIBRARIES ws2_32 winmm)
     FIND_PACKAGE(LibIntl REQUIRED)
-ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
+ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "Darwin" OR BEOS)
     FIND_PACKAGE(LibIntl REQUIRED)
 ELSEIF (CMAKE_SYSTEM_NAME STREQUAL SunOS)
     # explicit linking to libintl is required on Solaris
@@ -68,6 +72,7 @@
     FIND_PACKAGE(OpenGL REQUIRED)
     INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
     SET(FLAGS "${FLAGS} -DUSE_OPENGL")
+    MESSAGE(STATUS "OpenGL support enabled")
 ENDIF (WITH_OPENGL)
 
 IF (USE_X11)
@@ -188,6 +193,8 @@
     gui/widgets/shortcutcontainer.h
     gui/widgets/slider.cpp
     gui/widgets/slider.h
+    gui/widgets/spacer.cpp
+    gui/widgets/spacer.h
     gui/widgets/tab.cpp
     gui/widgets/tab.h
     gui/widgets/tabbedarea.cpp
@@ -212,10 +219,10 @@
     gui/widgets/windowcontainer.h
     gui/beingpopup.cpp
     gui/beingpopup.h
-    gui/buy.cpp
-    gui/buy.h
-    gui/buysell.cpp
-    gui/buysell.h
+    gui/buydialog.cpp
+    gui/buydialog.h
+    gui/buyselldialog.cpp
+    gui/buyselldialog.h
     gui/changeemaildialog.cpp
     gui/changeemaildialog.h
     gui/changepassworddialog.cpp
@@ -224,12 +231,14 @@
     gui/charselectdialog.h
     gui/charcreatedialog.cpp
     gui/charcreatedialog.h
-    gui/chat.cpp
-    gui/chat.h
+    gui/chatwindow.cpp
+    gui/chatwindow.h
     gui/confirmdialog.cpp
     gui/confirmdialog.h
     gui/connectiondialog.cpp
     gui/connectiondialog.h
+    gui/customserverdialog.cpp
+    gui/customserverdialog.h
     gui/debugwindow.cpp
     gui/debugwindow.h
     gui/emotepopup.cpp
@@ -240,20 +249,20 @@
     gui/focushandler.h
     gui/gui.cpp
     gui/gui.h
-    gui/help.cpp
-    gui/help.h
+    gui/helpwindow.cpp
+    gui/helpwindow.h
     gui/inventorywindow.cpp
     gui/inventorywindow.h
     gui/itempopup.cpp
     gui/itempopup.h
-    gui/itemamount.cpp
-    gui/itemamount.h
-    gui/login.cpp
-    gui/login.h
+    gui/itemamountwindow.cpp
+    gui/itemamountwindow.h
+    gui/logindialog.cpp
+    gui/logindialog.h
     gui/minimap.cpp
     gui/minimap.h
-    gui/ministatus.cpp
-    gui/ministatus.h
+    gui/ministatuswindow.cpp
+    gui/ministatuswindow.h
     gui/npcdialog.cpp
     gui/npcdialog.h
     gui/npcpostdialog.cpp
@@ -274,8 +283,8 @@
     gui/register.h
     gui/sdlinput.cpp
     gui/sdlinput.h
-    gui/sell.cpp
-    gui/sell.h
+    gui/selldialog.cpp
+    gui/selldialog.h
     gui/serverdialog.cpp
     gui/serverdialog.h
     gui/setup.cpp
@@ -284,6 +293,8 @@
     gui/setup_audio.h
     gui/setup_colors.cpp
     gui/setup_colors.h
+    gui/setup_interface.cpp
+    gui/setup_interface.h
     gui/setup_joystick.cpp
     gui/setup_joystick.h
     gui/setup_keyboard.cpp
@@ -308,18 +319,14 @@
     gui/textdialog.h
     gui/textpopup.cpp
     gui/textpopup.h
-    gui/theme.cpp
-    gui/theme.h
-    gui/trade.cpp
-    gui/trade.h
+    gui/tradewindow.cpp
+    gui/tradewindow.h
     gui/truetypefont.cpp
     gui/truetypefont.h
     gui/unregisterdialog.cpp
     gui/unregisterdialog.h
-    gui/updatewindow.cpp
-    gui/updatewindow.h
-    gui/userpalette.cpp
-    gui/userpalette.h
+    gui/updaterwindow.cpp
+    gui/updaterwindow.h
     gui/viewport.cpp
     gui/viewport.h
     gui/windowmenu.cpp
@@ -358,12 +365,14 @@
     resources/ambientlayer.h
     resources/animation.cpp
     resources/animation.h
-    resources/colordb.cpp
-    resources/colordb.h
+    resources/beinginfo.cpp
+    resources/beinginfo.h
     resources/dye.cpp
     resources/dye.h
     resources/emotedb.cpp
     resources/emotedb.h
+    resources/hairdb.cpp
+    resources/hairdb.h
     resources/image.cpp
     resources/image.h
     resources/imageloader.cpp
@@ -380,8 +389,6 @@
     resources/mapreader.h
     resources/monsterdb.cpp
     resources/monsterdb.h
-    resources/monsterinfo.cpp
-    resources/monsterinfo.h
     resources/music.cpp
     resources/music.h
     resources/npcdb.cpp
@@ -392,8 +399,14 @@
     resources/resourcemanager.h
     resources/soundeffect.h
     resources/soundeffect.cpp
+    resources/specialdb.cpp
+    resources/specialdb.h
     resources/spritedef.h
     resources/spritedef.cpp
+    resources/theme.cpp
+    resources/theme.h
+    resources/userpalette.cpp
+    resources/userpalette.h
     resources/wallpaper.cpp
     resources/wallpaper.h
     utils/base64.cpp
@@ -403,6 +416,8 @@
     utils/dtor.h
     utils/gettext.h
     utils/mathutils.h
+    utils/physfsrwops.c
+    utils/physfsrwops.h
     utils/sha256.cpp
     utils/sha256.h
     utils/stringutils.cpp
@@ -414,6 +429,12 @@
     utils/xml.h
     utils/zlib.cpp
     utils/zlib.h
+    actor.cpp
+    actor.h
+    actorsprite.cpp
+    actorsprite.h
+    actorspritemanager.cpp
+    actorspritemanager.h
     animatedsprite.cpp
     animatedsprite.h
     animationparticle.cpp
@@ -422,8 +443,8 @@
     avatar.h
     being.cpp
     being.h
-    beingmanager.cpp
-    beingmanager.h
+    chatlogger.cpp
+    chatlogger.h
     client.cpp
     client.h
     channel.cpp
@@ -431,46 +452,3 @@
     channelmanager.cpp
     channelmanager.h
     commandhandler.cpp
-    commandhandler.h
-    configlistener.h
-    configuration.cpp
-    configuration.h
-    effectmanager.cpp
-    effectmanager.h
-    emoteshortcut.cpp
-    emoteshortcut.h
-    equipment.h
-    flooritem.cpp
-    flooritem.h
-    flooritemmanager.cpp
-    flooritemmanager.h
-    game.cpp
-    game.h
-    graphics.cpp
-    graphics.h
-    guichanfwd.h
-    guild.cpp
-    guild.h
-    imageparticle.cpp
-    imageparticle.h
-    inventory.cpp
-    inventory.h
-    item.cpp
-    item.h
-    itemshortcut.cpp
-    itemshortcut.h
-    joystick.cpp
-    joystick.h
-    keyboardconfig.cpp
-    keyboardconfig.h
-    localplayer.cpp
-    localplayer.h
-    log.cpp
-    log.h
-    main.cpp
-    main.h
-    map.cpp
-    map.h
-    monster.cpp
-    monster.h
-    npc.cpp

=== debian/changelog ===
mana (0.6.0-2) unstable; urgency=low

  * Install missing link on DejaVuSansMono.ttf, without it tmw can not start.
    Closes: #660065

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 16 Feb 2012 11:14:08 +0100

mana (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 13 Feb 2012 18:13:54 +0100

mana (0.5.3-2) unstable; urgency=low

  * Only honor 0.x releases in debian/watch.
  * Remove unused lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 28 Jan 2012 16:32:20 +0100

## mana 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PROJECT(MANA)
 
 IF (NOT VERSION)
-    SET(VERSION 0.6.0)
+    SET(VERSION 0.6.1)
 ENDIF()
 
 STRING(REPLACE "." " " _VERSION ${VERSION})
@@ -31,6 +31,7 @@
 OPTION(WITH_OPENGL "Enable OpenGL support" ON)
 OPTION(ENABLE_NLS "Enable building of tranlations" ON)
 OPTION(ENABLE_MANASERV "Enable Manaserv support" OFF)
+OPTION(ENABLE_CPP0X "Enable use of C++0x features" ON)
 
 IF (WIN32)
     SET(PKG_DATADIR ".")

=== data/CMakeLists.txt ===
SET(DATA_DIR ${PKG_DATADIR}/data)

ADD_SUBDIRECTORY(fonts)
ADD_SUBDIRECTORY(graphics)
ADD_SUBDIRECTORY(help)
ADD_SUBDIRECTORY(icons)

=== po/CMakeLists.txt ===
FIND_PACKAGE(Gettext REQUIRED)

# based on the CMake 2.6.3 GETTEXT_CREATE_TRANSLATIONS
# we need our own version because the upstream one contains
# a call to msgmerge (updating po files) which can't be
# disabled
MACRO(MANA_GETTEXT_CREATE_TRANSLATIONS _potFile _firstPoFileArg)
   # make it a real variable, so we can modify it here
   SET(_firstPoFile "${_firstPoFileArg}")

   SET(_gmoFiles)
   GET_FILENAME_COMPONENT(_potBasename ${_potFile} NAME_WE)
   GET_FILENAME_COMPONENT(_absPotFile ${_potFile} ABSOLUTE)

   SET(_addToAll)
   IF(${_firstPoFile} STREQUAL "ALL")
      SET(_addToAll "ALL")
      SET(_firstPoFile)
   ENDIF(${_firstPoFile} STREQUAL "ALL")

   FOREACH (_currentPoFile ${_firstPoFile} ${ARGN})
      GET_FILENAME_COMPONENT(_absFile ${_currentPoFile} ABSOLUTE)
      GET_FILENAME_COMPONENT(_abs_PATH ${_absFile} PATH)
      GET_FILENAME_COMPONENT(_lang ${_absFile} NAME_WE)
      SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

      ADD_CUSTOM_COMMAND(
         OUTPUT ${_gmoFile}
         COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_absFile}
         DEPENDS ${_absPotFile} ${_absFile}
      )

      INSTALL(FILES ${_gmoFile} DESTINATION share/locale/${_lang}/LC_MESSAGES RENAME ${_potBasename}.mo)
      SET(_gmoFiles ${_gmoFiles} ${_gmoFile})

   ENDFOREACH (_currentPoFile)

   ADD_CUSTOM_TARGET(translations ${_addToAll} DEPENDS ${_gmoFiles})
ENDMACRO()

MACRO(MANA_GETTEXT_UPDATE_PO _potFile _languages)
   GET_FILENAME_COMPONENT(_absPotFile ${_potFile} ABSOLUTE)

   ADD_CUSTOM_TARGET(
      update-pot
      COMMAND xgettext --files-from=translatable-files --directory=. --output=${_potFile} -d mana --keyword=_ --keyword=N_
      )

   ADD_CUSTOM_TARGET(
      update-translatable-files
      COMMAND grep '_\(' -Irl ../src | sort > translatable-files
      )

   FOREACH(_lang ${_languages})
      GET_FILENAME_COMPONENT(_absFile "${_lang}.po" ABSOLUTE)
      SET(_currentPoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.po)
      ADD_CUSTOM_TARGET(
         "update-translation-${_lang}"
         COMMAND ${GETTEXT_MSGMERGE_EXECUTABLE} --quiet --update --backup=none -s ${_absFile} ${_absPotFile}
         )
      ADD_DEPENDENCIES("update-translation-${_lang}" update-pot)
      ADD_DEPENDENCIES(update-po "update-translation-${_lang}")
      ADD_DEPENDENCIES(update-pot update-translatable-files)
   ENDFOREACH()
ENDMACRO()


SET(languages)
SET(POFILES)
FILE(STRINGS LINGUAS _languages)
FOREACH(_lang ${_languages})
   STRING(REGEX REPLACE "#.*" "" _lang "${_lang}")
   IF(NOT ${_lang} STREQUAL "")
      SET(languages ${languages} ${_lang})
      SET(POFILES ${POFILES} "${_lang}.po")
   ENDIF()
ENDFOREACH()

ADD_CUSTOM_TARGET(update-po)

MANA_GETTEXT_CREATE_TRANSLATIONS(mana.pot ALL ${POFILES})
MANA_GETTEXT_UPDATE_PO(mana.pot "${languages}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,11 @@
 SET(FLAGS "-DPACKAGE_VERSION=\\\"${VERSION}\\\"")
 SET(FLAGS "${FLAGS} -DPKG_DATADIR=\\\"${PKG_DATADIR}/\\\"")
 SET(FLAGS "${FLAGS} -DLOCALEDIR=\\\"${LOCALEDIR}/\\\"")
-SET(FLAGS "${FLAGS} -std=c++0x")
+IF (ENABLE_CPP0X)
+    SET(FLAGS "${FLAGS} -std=c++0x -DENABLE_CPP0X=1")
+ELSE()
+    INCLUDE_DIRECTORIES("cpp0x_compat")
+ENDIF()
 
 IF (ENABLE_NLS)
     SET(FLAGS "${FLAGS} -DENABLE_NLS=1")
@@ -447,8 +451,3 @@
     chatlogger.h
     client.cpp
     client.h
-    channel.cpp
-    channel.h
-    channelmanager.cpp
-    channelmanager.h
-    commandhandler.cpp

=== data/fonts/CMakeLists.txt ===
SET (FILES
    dejavusans.ttf
    dejavusans-bold.ttf
    dejavusans-mono.ttf
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/fonts)

=== data/graphics/CMakeLists.txt ===
ADD_SUBDIRECTORY(gui)
ADD_SUBDIRECTORY(images)
ADD_SUBDIRECTORY(sprites)

SET (FILES
    target-cursor-in-range-l.png
    target-cursor-in-range-m.png
    target-cursor-in-range-s.png
    target-cursor-normal-l.png
    target-cursor-normal-m.png
    target-cursor-normal-s.png
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/graphics/)

=== data/help/CMakeLists.txt ===
SET(FILES
    about.txt
    changes.txt
    commands.txt
    header.txt
    index.txt
    support.txt
    windows.txt
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/help)

=== libs/enet/CMakeLists.txt ===
--- 
+++ 
@@ -52,4 +52,7 @@
 INCLUDE_DIRECTORIES("include")
 
 ADD_LIBRARY(enet STATIC ${SRCS})
+IF (BEOS)
+  TARGET_LINK_LIBRARIES(enet network)
+ENDIF()
 SET_TARGET_PROPERTIES(enet PROPERTIES COMPILE_FLAGS "${FLAGS}")

=== tools/dyecmd/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT(MANA_DYECOMMAND)

IF (NOT VERSION)
    SET(VERSION 1.0.0)
ENDIF()

STRING(REPLACE "." " " _VERSION ${VERSION})
SEPARATE_ARGUMENTS(_VERSION)
LIST(LENGTH _VERSION _LEN)
IF(NOT (_LEN EQUAL 4 OR _LEN EQUAL 3))
    MESSAGE(FATAL_ERROR "Version needs to be in the form MAJOR.MINOR.RELEASE[.BUILD]")
ENDIF()

LIST(GET _VERSION 0 VER_MAJOR)
LIST(GET _VERSION 1 VER_MINOR)
LIST(GET _VERSION 2 VER_RELEASE)
IF(_LEN EQUAL 4)
    LIST(GET _VERSION 3 VER_BUILD)
ELSE()
    SET(VER_BUILD 0)
ENDIF()

# where to look for cmake modules
SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/CMake/Modules)

ADD_SUBDIRECTORY(src)

=== tools/tmxcopy/Makefile ===
CC=g++
CFLAGS=-g -ggdb -O0 -Wall -c `pkg-config --cflags libxml-2.0`
LDFLAGS=`pkg-config --libs libxml-2.0`
SOURCES_UTILS=base64.cpp map.cpp xmlutils.cpp zlibutils.cpp
OBJECTS_UTILS=$(SOURCES_UTILS:.cpp=.o)
EXECUTABLES=tmxcopy tmx_random_fill tmxcollide

all: $(SOURCES_UTILS) $(EXECUTABLES)
	make clean

tmxcopy: tmxcopy.o $(OBJECTS_UTILS)
	$(CC) $(LDFLAGS) tmxcopy.o $(OBJECTS_UTILS) -o $@

tmx_random_fill: tmx_random_fill.o $(OBJECTS_UTILS)
	$(CC) $(LDFLAGS) tmx_random_fill.o $(OBJECTS_UTILS) -o $@

tmxcollide: tmxcollide.o $(OBJECTS_UTILS)
	$(CC) $(LDFLAGS) tmxcollide.o $(OBJECTS_UTILS) -o $@

.cpp.o:
	$(CC) $(CFLAGS) $< -o $@

clean:
	rm -f *.o

=== data/graphics/gui/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,17 @@
 SET (FILES
     bubble.png
     button.png
+    button-icon-confirm.png
+    button-icon-cancel.png
+    button-icon-equipment.png
+    button-icon-inventory.png
+    button-icon-setup.png
+    button-icon-shortcut.png
+    button-icon-skills.png
+    button-icon-smilies.png
+    button-icon-social.png
+    button-icon-specials.png
+    button-icon-status.png
     button_disabled.png
     buttonhi.png
     buttonpress.png
@@ -30,14 +41,10 @@
     speechbubble.xml
     sticky_button.png
     tab.png
+    tab_arrows_left.png
+    tab_arrows_right.png
     tab_hilight.png
     tabselected.png
-    target-cursor-blue-l.png
-    target-cursor-blue-m.png
-    target-cursor-blue-s.png
-    target-cursor-red-l.png
-    target-cursor-red-m.png
-    target-cursor-red-s.png
     unknown-item.png
     vscroll_down_default.png
     vscroll_down_highlight.png

=== data/graphics/images/CMakeLists.txt ===
SET(FILES
    login_wallpaper.png
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/graphics/images)

=== debian/changelog ===
mana (0.6.1-4) unstable; urgency=low

  * Update debian/watch to new file location.
  * Migrate to minimal debhelper.
  * Bump debian/compat to level 9.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 18 May 2013 21:16:41 +0200

mana (0.6.1-3) experimental; urgency=low

  * Fix debian/watch to only check for releases with dots and decimals.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Add lintian override for false positive hardening-no-fortify-functions
    warning.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 12 Dec 2012 11:27:39 +0100

mana (0.6.1-2) unstable; urgency=high

  * Add upstream patch 01-gcc47-ftbfs to fix a FTBFS with GCC 4.7.
    Closes: #672823
  * Deactivate C++0x compilation since the linker will fail on guichan with
    GCC 4.7.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 14 May 2012 18:57:35 +0200

mana (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 03 Apr 2012 12:45:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Homepage: http://www.manasource.org/
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 9),
  cmake,
  libsdl-gfx1.2-dev,
  libcurl4-gnutls-dev,
@@ -14,11 +14,14 @@
  libsdl-net1.2-dev,
  libsdl-ttf2.0-dev,
  hardening-wrapper
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 
 Package: mana
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, mana-data (= ${source:Version})
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ mana-data (= ${source:Version})
 Description: opensource 2D MMORPG platform client
  The Mana client is developed as part of The Mana Project, which aims to build
  a complete 2D MMORPG platform. This includes a client, server and web
@@ -33,7 +36,9 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, mana (= ${binary:Version})
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: ${misc:Depends},
+ mana (= ${binary:Version})
 Description: opensource 2D MMORPG platform client (debugging symbols)
  The Mana client is developed as part of The Mana Project, which aims to build
  a complete 2D MMORPG platform. This includes a client, server and web
@@ -48,7 +53,9 @@
 
 Package: mana-data
 Architecture: all
-Depends: ${misc:Depends}, ttf-dejavu-core
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: ${misc:Depends},
+ ttf-dejavu-core
 Recommends: mana
 Description: opensource 2D MMORPG platform client (data files)
  The Mana client is developed as part of The Mana Project, which aims to build

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

DEB_BUILD_EXTRA_FLAGS := \
	-D ENABLE_CPP0X=OFF \
	-D CMAKE_BUILD_TYPE=Debug \
	-D CMAKE_INSTALL_PREFIX=/usr

%:
	dh $@

override_dh_auto_configure:
	[ -d build ] || mkdir build
	cd build && cmake  $(DEB_BUILD_EXTRA_FLAGS) ..

override_dh_auto_build:
	cd build && $(MAKE)

override_dh_auto_install:
	cd build && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_clean:
	rm -rf $(CURDIR)/debian/tmp
	rm -rf $(CURDIR)/build

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp/usr/share/mana/data/fonts/
	dh_install

override_dh_strip:
	dh_strip --dbg-package=mana-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://files.manasource.org/mana-([\d.]+)\.tar\.gz
